Simplified XF 1.1.0

Static Public Member Functions | Static Protected Attributes | List of all members
XF Class Reference
XF Core Classes

Static class grouping the basic methods for the XF together. More...

`#include <xf.h>`

Collaboration diagram for XF:

## Static Public Member Functions
static void | initialize (int timeInterval=10, int argc=0, char *argv[]=nullptr)
static int | exec ()
static int | execOnce ()
static bool | isRunning ()
| Returns true in case the XF is initialized and running.

## Static Protected Attributes
static bool | isInitialized_ = false
| Changes from false to true after calling method initialize(int). Used to handle multiple calls to init(int). More...
static bool | isRunning_ = false
| Tells if the XF is initialized and running.

## Detailed Description

Static class grouping the basic methods for the XF together.

## Member Function Documentation

## ◆ exec()

int XF::exec | ( |  | ) |
| static

Starts execution of the framework. This results in processing the events in main loop.

This method is blocking.

## ◆ execOnce()

int XF::execOnce | ( |  | ) |
| static

Executes once the dispatcher. To be called regularly in a while loop.

This method is non-blocking.

## ◆ initialize()

void XF::initialize | ( | int | timeInterval = `10`,
|  | int | argc = `0`,
|  | char * | argv[] = `nullptr`
| ) |  |
| static

Initializes the eXecution Framework (XF). Call this method prior to initialize the other objects of the system.

Parameters

  timeInterval | The interval in milliseconds with which the TimeoutManager should run.
  argc | Optional parameter to pass application argument number to XF.
  argv | Optional parameter to pass application arguments to XF.

## Member Data Documentation

## ◆ isInitialized_

bool XF::isInitialized_ = false
| static protected

Changes from false to true after calling method initialize(int). Used to handle multiple calls to init(int).

In the Qt port we are going to use a QCoreApplication instance which gets executed by the XF::exec() method.

The default dispatcher is active in this port implementation. This means, the default dispatcher has its own thread.

The XF::execOnce() method is not applicable for this port.

The documentation for this class was generated from the following files:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/src/simplified/xf/include/xf/xf.h
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/src/simplified/xf/port/idf-qt/xf.cpp